<div
  class="icons-order {{if this.showIconTypeLabel 'show-icon-type-label' 'hide-icon-type-label'}}"
  {{did-insert this.setup}}
  {{did-update this.setup @value}}
  ...attributes
>
  {{#if (gt this.value.length 0)}}
    <div class="title text-muted text-center capitalize-first-letter icon-type-label">{{t "primary"}}</div>
  {{/if}}

  {{#if (gt this.value.length 1)}}
    <div class="title text-muted text-center capitalize-first-letter icon-type-label">{{t "secondary"}}</div>
  {{/if}}

  <DragSortList
    @isHorizontal={{true}}
    @draggingEnabled={{not @disabled}}
    @items={{this.value}}
    @dragEndAction={{this.dragEnd}}
    @handle="img"
    class="input-border"
    as |icon index|
  >
    <div class="icon-container text-center">
      {{#if icon.isAdd}}
        {{#unless @disabled}}
          <button class="icon-select" type="button" {{on "click" this.select}}>
            <FaIcon @icon="plus" /><br />
            <small class="capitalize-first-letter">{{t "select icons"}}</small>
          </button>
        {{/unless}}
      {{else}}
        {{#unless @disabled}}
          <button
            type="button"
            class="btn btn-white btn-remove-icon rounded-circle"
            {{on "click" (fn this.remove index)}}
          >
            <FaIcon @icon="times" />
          </button>
        {{/unless}}

        {{! template-lint-disable no-invalid-interactive }}
        <img
          src={{icon.image.value}}
          {{on "click" (fn this.primary index)}}
          draggable="true"
          class="icon"
          data-placement="bottom"
          title={{icon.localName}}
          alt={{icon.localName}}
        />
        <div
          class="icon-name"
          data-toggle="tooltip"
          data-placement="bottom"
          title={{icon.localName}}
        >{{icon.localName}}</div>
      {{/if}}
    </div>
  </DragSortList>
</div>